/**
 * @version $Id: ROMValidatorTest.java 668 2011-03-14 22:35:32Z yegor256@yahoo.com $
 */
package com.rempl.api;

import org.junit.*;
import static org.junit.Assert.*;
import com.rempl.tk.ResourceLoader;
import org.xml.sax.SAXParseException;

public class ROMValidatorTest {

    @Test
    public void testStrictErrorHandlerSubclass() throws Exception {
        ROMValidator.StrictErrorHandler handler =
            new ROMValidator.StrictErrorHandler();
        assertTrue(handler.isEmpty());
        SAXParseException ex =
            new SAXParseException("text", new org.xml.sax.helpers.LocatorImpl());
        handler.warning(ex);
        handler.error(ex);
        handler.fatalError(ex);
        assertFalse(handler.isEmpty());
        assertTrue(handler.toString().contains("text"));
    }

}
